Imagination PowerVR SDK Blog

OpenGLES hard-float ABI versions available?


#1

I can successfully link against the PowerVR SDK OpenGLES libraries when using either software floating point emulation or the soft-float ABI calling convention with hardware floating point but cannot link when building with the hard-float ABI option. As I understand it, this is only possible if ALL components of a build are compiled against this ABI including any third-party libraries (i.e. OpenGLES). I guess that the current library files available in the SDK are built for the soft-float ABI and I was wondering whether I can get hold of these libraries built against the hard-float ABI? I am using CodeSourcery G++ Standard Edition targetting the Cortex-A8 CPU with a NEON FPU

 

Thanks